Get VM Auto Scaling Group Server by ID
Retrieves the properties of the server specified by its ID.
Note that the server IDs of the VM Auto Scaling Groups are different from and do not match the VM server IDs in the data center.
Authorization is granted when a valid proof of identity is provided along with an API request for data. This proof of identity is in the form of a JSON web access token, a unique string that identifies a user.
Example Request Header
Authorization: Bearer ACCESS_TOKEN
With this parameter, you control the level of detail of the response objects:
-
0: Only direct properties are included; children (such as executions or transitions) are not considered. -
1: Direct properties and children references are included. -
2: Direct properties and children properties are included. -
3: Direct properties and children properties and children's children are included. -
etc.
0OK
Links a data center server to an autoAuto Scaling scaling group. Note that this entities UUID is different from that of the data center server, whose UUID is stored in the datacenterServer property.
The unique resource identifier.
20fd2b30-be53-4253-9d8e-96af69e24d57The resource type.
autoscaling-serverThe absolute URL to the resource's representation.
https://api.ionos.com/autoscaling/groups/1d67ca27-d4c0-419d-9a64-9ea42dfdd036/servers/20fd2b30-be53-4253-9d8e-96af69e24d57Unauthorized
Forbidden
Not Found
GET /autoscaling/groups/{groupId}/servers/{serverId} HTTP/1.1
Host: api.ionos.com
Authorization: YOUR_API_KEY
Accept: */*
{
"id": "20fd2b30-be53-4253-9d8e-96af69e24d57",
"type": "autoscaling-server",
"href": "https://api.ionos.com/autoscaling/groups/1d67ca27-d4c0-419d-9a64-9ea42dfdd036/servers/20fd2b30-be53-4253-9d8e-96af69e24d57",
"metadata": {
"createdDate": "2021-06-21T08:46:01.249829Z",
"etag": "text",
"lastModifiedDate": "2021-07-26T09:30:39.562006Z",
"state": "AVAILABLE"
},
"properties": {
"datacenterServer": {
"id": "84f3d7c9-9a12-4334-8add-dcacd3f867a5",
"type": "server",
"href": "https://api.ionos.com/cloudapi/v6/datacenters/fc5965df-f38d-4a3e-baaa-770b917e40eb/servers/84f3d7c9-9a12-4334-8add-dcacd3f867a5"
},
"name": "Web server instance"
}
}Last updated
Was this helpful?